Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.controls.extensible
Interface FolderCmxControl

All Superinterfaces
  CmxControl

    public interface FolderCmxControl

extends CmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

This control creates a FOLDER type and is to be used in an app-scoped context.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FIND_ALL`
`static String` | `FIND_BY_ID`
`static String` | `FIND_ONE`
`static String` | `FOLDER`

Method Summary
`Folder` | `createFolder(String title, String description, String visibility, String owner, ID parentId, ID[] relatedNodes)` This will set the createdBy(), modifiedDate() etc stuff that the Node contains
`Node` | `findNodeByExpression(String expression, String[] searchPaths)`
`List<Folder>` | `getAllFolders()`
`Folder` | `getFolder(String title)`
`Folder` | `getFolderById(String id)`
`List<Folder>` | `removeAllFolders()`
`Folder` | `removeFolder(String title)`
`Folder` | `removeFolderById(String id)`

Field Detail

### FOLDER

    static final String FOLDER

See Also
  Constants Summary

### FIND_ONE

    static final String FIND_ONE

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

### FIND_BY_ID

    static final String FIND_BY_ID

See Also
  Constants Summary

Method Detail

### createFolder

    Folder createFolder(String title,
                        String description,
                        String visibility,
                        String owner,
                        ID parentId,
                        ID[] relatedNodes)
                        throws AuthenticationException,
                               AuthorizationException,
                               NodeExistsException,
                               NoSuchObjectClassException,
                               RepositoryException,
                               InstantiationException,
                               IllegalAccessException,
                               InvocationTargetException

  This will set the createdBy(), modifiedDate() etc stuff that the Node contains

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`

### findNodeByExpression

    Node findNodeByExpression(String expression,
                              String[] searchPaths)
                              throws InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFolder

    Folder getFolder(String title)
                     throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

### removeFolder

    Folder removeFolder(String title)
                        throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

### getAllFolders

    List<Folder> getAllFolders()
                               throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

### removeAllFolders

    List<Folder> removeAllFolders()
                                  throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

### getFolderById

    Folder getFolderById(String id)
                         throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

### removeFolderById

    Folder removeFolderById(String id)
                            throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved